Subject: Re: SW TLB MMU rework and SMP issues (pte read/write)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 17 Jul 2008 07:41:58 +1000

On Wed, 2008-07-16 at 15:57 -0500, Kumar Gala wrote:
> This makes sense.  I think we need to order the stores in set_pte_at  
> regardless of CONFIG_SMP. 

Nah, that shouldn't be necessary.

>  Also, I think we should change pte_clear to  
> use pte_update() so we only clear the low-order flag bits.  Patch will  
> be sent shortly for review.

Well... at one point at least we did rely on a PTE page with all PTEs
cleared to be blank. It don't know if that's still the case, I need to
look.

Ben.